## Delete an origin cloud region mapping **delete** `/zones/{zone_id}/cache/origin_cloud_regions/{origin_ip}` Removes the cloud region mapping for a single origin IP address. The IP path parameter is normalized before lookup. Returns the deleted entry on success. Returns 404 (code 1163) if no mapping exists for the specified IP. When the last mapping for the zone is removed the underlying rule record is also deleted. ### Path Parameters - `zone_id: optional string` Identifier. - `origin_ip: string` ### Returns - `errors: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `pointer: optional string` - `messages: array of ResponseInfo` - `code: number` - `message: string` - `documentation_url: optional string` - `source: optional object { pointer }` - `success: true` Whether the API call was successful. - `true` - `result: optional object { id, editable, value, modified_on }` Response result for a single origin cloud region mapping. - `id: "origin_public_cloud_region"` - `"origin_public_cloud_region"` - `editable: boolean` Whether the setting can be modified by the current user. - `value: OriginCloudRegion` A single origin IP-to-cloud-region mapping. - `"origin-ip": string` The origin IP address (IPv4 or IPv6, canonicalized). - `region: string` Cloud vendor region identifier. - `vendor: "aws" or "azure" or "gcp" or "oci"` Cloud vendor hosting the origin. - `"aws"` - `"azure"` - `"gcp"` - `"oci"` - `modified_on: optional string` Time this mapping was last modified. - `modified_on: optional string` Time the mapping was last modified. ### Example ```http curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/cache/origin_cloud_regions/$ORIGIN_IP \ -X DELETE \ -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" ``` #### Response ```json { "errors": [], "messages": [], "result": { "editable": true, "id": "origin_public_cloud_region", "modified_on": "2026-03-01T12:00:00Z", "value": { "modified_on": "2026-03-01T12:00:00Z", "origin-ip": "192.0.2.1", "region": "us-east-1", "vendor": "aws" } }, "success": true } ```